#ifdef GL_ES
varying lowp vec4 v_fragmentColor;
varying mediump vec2 v_texCoord;
varying mediump vec2 v_position;
#else
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec2 v_position;
#endif

uniform vec3 u_color;
uniform vec3 changeColor;
uniform sampler2D u_texture;

void main()
{
    vec4 texColor = texture2D(CC_Texture0 , v_texCoord);
	
    if(texColor.w != 0.0)
    {
        gl_FragColor = texture2D(CC_Texture0, v_texCoord);
        gl_FragColor.x = u_color.x;
        gl_FragColor.y = u_color.y;
        gl_FragColor.z = u_color.z;
        gl_FragColor.w = texColor.w;
    }else
	{
		gl_FragColor = texColor;
	}
	
	vec4 color = texture2D(u_texture,v_texCoord);
	gl_FragColor.x = color.x * color.w + gl_FragColor.x*(1.0-color.w);
	gl_FragColor.y = color.y * color.w + gl_FragColor.y*(1.0-color.w);
	gl_FragColor.z = color.z * color.w + gl_FragColor.z*(1.0-color.w);
	gl_FragColor.w = color.w * color.w + gl_FragColor.w*(1.0-color.w);	
}